Arch Barra de Refuerzo en Forma de U

From FreeCAD Documentation
Revision as of 12:29, 13 May 2018 by Bitacovir (talk | contribs) (Created page with "==Utilización==")

Arch Rebar UShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
LShape Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Descripción

The UShape Rebar tool allows user to create a UShape reinforcing bar in the structural element.

Utilización

  1. Create a structure element
  2. Select any face of the structure
  3. Then select UShape Rebar from the rebar tools
  4. A task panel will pop-out on the left side of the screen as shown below
  5. Select the desired orientation
  6. Give the inputs like front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
  7. Select the mode of distribution either amount or spacing
  8. If spacing is selected, a user can also opt for custom spacing
  9. Pick selected face is used to verify or change the face for rebar distribution
  10. Click OK or Apply to generate the rebars
  11. Click Cancel to exit the task panel

Properties

  • DatosOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DatosFront Cover: The distance between rebar and selected face.
  • DatosRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DatosLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DatosBottom Cover: The distance between rebar from the bottom face of the structure.
  • DatosTop Cover: The distance between rebar from the top face of the structure.
  • DatosRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DatosAmount: The amount of rebars.
  • DatosSpacing: The distance between the axes of each bar.

Scripting

The UShape Rebar tool can by used in macros and from the python console by using the following function:

makeUShapeRebar(FrontCover, BottomCover, RightCover, LeftCover, Diameter, Topcover, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The UShape Rebar have four different orientations:
    • Bottom
    • Top
    • Right
    • Left
  • Adds a UShape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Returns the new Rebar object.

Example: Creating UShape rebar.

import Arch, UShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")

Changing properties of UShape rebar.

import UShapeRebar
UShapeRebar.editUShapeRebar(rebar, 25, 25, 25, 25, 16, 25, 2, True, 15, "Top")